/// <reference types="react" />
export type Option = {
    id: string;
    name: string;
};
export interface SelectProps {
    onChange: (value: string | string[]) => void;
    value: string | string[] | null;
    options: Option[];
    multiple?: boolean;
    label?: string;
    disabled?: boolean;
    id?: string;
    name?: string;
    required?: boolean;
    placeholder?: string;
    classNameWrapper?: string;
    classNameLabel?: string;
    classNameInput?: string;
    classNameListOption?: string;
}
declare const Select: import("react").ForwardRefExoticComponent<SelectProps & import("react").RefAttributes<HTMLInputElement>>;
export default Select;
